Index: plugins/pings/js/post.js
===================================================================
--- plugins/pings/js/post.js	(revision 3709)
+++ plugins/pings/js/post.js	(revision 3709)
@@ -0,0 +1,17 @@
+/*global $, dotclear */
+'use strict';
+
+$(function() {
+	$('#edit-entry').onetabload(function() {
+		if ($('p.ping-services').length > 0) {
+			var p = $('<p></p>');
+			p.addClass('ping-services');
+			$('p.ping-services:last').after(p);
+			dotclear.checkboxesHelpers($('p.ping-services:last').get(0), $('.check-ping-services'));
+		}
+		$('h5.ping-services').toggleWithLegend($('p.ping-services'),{
+			user_pref: 'dcx_ping_services',
+			legend_click: true
+		});
+	});
+});
Index: plugins/pings/lib.pings.php
===================================================================
--- plugins/pings/lib.pings.php	(revision 3428)
+++ plugins/pings/lib.pings.php	(revision 3709)
@@ -10,119 +10,116 @@
 #
 # -- END LICENSE BLOCK -----------------------------------------
-if (!defined('DC_RC_PATH')) { return; }
+if (!defined('DC_RC_PATH')) {return;}
 
 class pingsAPI extends xmlrpcClient
 {
-	public static function doPings($srv_uri,$site_name,$site_url)
-	{
-		$o = new self($srv_uri);
-		$o->timeout = 3;
+    public static function doPings($srv_uri, $site_name, $site_url)
+    {
+        $o          = new self($srv_uri);
+        $o->timeout = 3;
 
-		$rsp = $o->query('weblogUpdates.ping',$site_name,$site_url);
+        $rsp = $o->query('weblogUpdates.ping', $site_name, $site_url);
 
-		if (isset($rsp['flerror']) && $rsp['flerror']) {
-			throw new Exception($rsp['message']);
-		}
+        if (isset($rsp['flerror']) && $rsp['flerror']) {
+            throw new Exception($rsp['message']);
+        }
 
-		return true;
-	}
+        return true;
+    }
 }
 
 class pingsAdminBehaviors
 {
-	public static function pingJS()
-	{
-		global $core;
+    public static function pingJS()
+    {
+        global $core;
 
-		$res =
-		"<script type=\"text/javascript\">\n".
-		dcPage::jsVar('dotclear.msg.check_all',__('Check all'))."\n".
-		"</script>\n".
-		dcPage::jsLoad(dcPage::getPF('pings/post.js'));
+        $res =
+        "<script type=\"text/javascript\">\n" .
+        dcPage::jsVar('dotclear.msg.check_all', __('Check all')) . "\n" .
+        "</script>\n" .
+        dcPage::jsLoad(dcPage::getPF('pings/js/post.js'));
 
-		return $res;
-	}
+        return $res;
+    }
 
-	public static function pingsFormItems($main,$sidebar,$post)
-	{
-		$core =& $GLOBALS['core'];
-		if (!$core->blog->settings->pings->pings_active) {
-			return;
-		}
+    public static function pingsFormItems($main, $sidebar, $post)
+    {
+        $core = &$GLOBALS['core'];
+        if (!$core->blog->settings->pings->pings_active) {
+            return;
+        }
 
-		$pings_uris = $core->blog->settings->pings->pings_uris;
-		if (empty($pings_uris) || !is_array($pings_uris)) {
-			return;
-		}
+        $pings_uris = $core->blog->settings->pings->pings_uris;
+        if (empty($pings_uris) || !is_array($pings_uris)) {
+            return;
+        }
 
-		if (!empty($_POST['pings_do']) && is_array($_POST['pings_do'])) {
-			$pings_do = $_POST['pings_do'];
-		} else {
-			$pings_do = array();
-		}
+        if (!empty($_POST['pings_do']) && is_array($_POST['pings_do'])) {
+            $pings_do = $_POST['pings_do'];
+        } else {
+            $pings_do = array();
+        }
 
-		$item = '<h5 class="ping-services">'.__('Pings').'</h5>';
-		$i = 0;
-		foreach ($pings_uris as $k => $v)
-		{
-			$item .=
-			'<p class="ping-services"><label for="pings_do-'.$i.'" class="classic">'.
-			form::checkbox(array('pings_do[]','pings_do-'.$i),html::escapeHTML($v),in_array($v,$pings_do), 'check-ping-services').' '.
-			html::escapeHTML($k).'</label></p>';
-			$i++;
-		}
-		$sidebar['options-box']['items']['pings']=$item;
+        $item = '<h5 class="ping-services">' . __('Pings') . '</h5>';
+        $i    = 0;
+        foreach ($pings_uris as $k => $v) {
+            $item .=
+            '<p class="ping-services"><label for="pings_do-' . $i . '" class="classic">' .
+            form::checkbox(array('pings_do[]', 'pings_do-' . $i), html::escapeHTML($v), in_array($v, $pings_do), 'check-ping-services') . ' ' .
+            html::escapeHTML($k) . '</label></p>';
+            $i++;
+        }
+        $sidebar['options-box']['items']['pings'] = $item;
 
-	}
+    }
 
-	public static function doPings($cur,$post_id)
-	{
-		if (empty($_POST['pings_do']) || !is_array($_POST['pings_do'])) {
-			return;
-		}
+    public static function doPings($cur, $post_id)
+    {
+        if (empty($_POST['pings_do']) || !is_array($_POST['pings_do'])) {
+            return;
+        }
 
-		$core =& $GLOBALS['core'];
-		if (!$core->blog->settings->pings->pings_active) {
-			return;
-		}
+        $core = &$GLOBALS['core'];
+        if (!$core->blog->settings->pings->pings_active) {
+            return;
+        }
 
-		$pings_uris = $core->blog->settings->pings->pings_uris;
-		if (empty($pings_uris) || !is_array($pings_uris)) {
-			return;
-		}
+        $pings_uris = $core->blog->settings->pings->pings_uris;
+        if (empty($pings_uris) || !is_array($pings_uris)) {
+            return;
+        }
 
-		foreach ($_POST['pings_do'] as $uri)
-		{
-			if (in_array($uri,$pings_uris)) {
-				try {
-					pingsAPI::doPings($uri,$core->blog->name,$core->blog->url);
-				} catch (Exception $e) {}
-			}
-		}
-	}
+        foreach ($_POST['pings_do'] as $uri) {
+            if (in_array($uri, $pings_uris)) {
+                try {
+                    pingsAPI::doPings($uri, $core->blog->name, $core->blog->url);
+                } catch (Exception $e) {}
+            }
+        }
+    }
 }
 
 class pingsCoreBehaviour
 {
-	public static function doPings($blog,$ids)
-	{
-		if (!$blog->settings->pings->pings_active) {
-			return;
-		}
-		if (!$blog->settings->pings->pings_auto) {
-			return;
-		}
+    public static function doPings($blog, $ids)
+    {
+        if (!$blog->settings->pings->pings_active) {
+            return;
+        }
+        if (!$blog->settings->pings->pings_auto) {
+            return;
+        }
 
-		$pings_uris = $blog->settings->pings->pings_uris;
-		if (empty($pings_uris) || !is_array($pings_uris)) {
-			return;
-		}
+        $pings_uris = $blog->settings->pings->pings_uris;
+        if (empty($pings_uris) || !is_array($pings_uris)) {
+            return;
+        }
 
-		foreach ($pings_uris as $uri)
-		{
-			try {
-				pingsAPI::doPings($uri,$blog->name,$blog->url);
-			} catch (Exception $e) {}
-		}
-	}
+        foreach ($pings_uris as $uri) {
+            try {
+                pingsAPI::doPings($uri, $blog->name, $blog->url);
+            } catch (Exception $e) {}
+        }
+    }
 }
Index: plugins/simpleMenu/index.php
===================================================================
--- plugins/simpleMenu/index.php	(revision 3703)
+++ plugins/simpleMenu/index.php	(revision 3709)
@@ -384,5 +384,5 @@
     dcPage::jsLoad('js/jquery/jquery-ui.custom.js') .
     dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js') .
-    dcPage::jsLoad(dcPage::getPF('simpleMenu/simplemenu.js'));
+    dcPage::jsLoad(dcPage::getPF('simpleMenu/js/simplemenu.js'));
 }
 echo dcPage::jsConfirmClose('settings', 'menuitemsappend', 'additem', 'menuitems');
Index: plugins/simpleMenu/js/simplemenu.js
===================================================================
--- plugins/simpleMenu/js/simplemenu.js	(revision 3709)
+++ plugins/simpleMenu/js/simplemenu.js	(revision 3709)
@@ -0,0 +1,28 @@
+/*global $, dotclear */
+'use strict';
+
+$(function() {
+  $('#menuitemslist').sortable({
+    'cursor': 'move'
+  });
+  $('#menuitemslist tr').hover(function() {
+    $(this).css({
+      'cursor': 'move'
+    });
+  }, function() {
+    $(this).css({
+      'cursor': 'auto'
+    });
+  });
+  $('#menuitems').submit(function() {
+    var order = [];
+    $('#menuitemslist tr td input.position').each(function() {
+      order.push(this.name.replace(/^order\[([^\]]+)\]$/, '$1'));
+    });
+    $('input[name=im_order]')[0].value = order.join(',');
+    return true;
+  });
+  $('#menuitemslist tr td input.position').hide();
+  $('#menuitemslist tr td.handle').addClass('handler');
+  dotclear.condSubmit('#menuitems tr td input[name^=items_selected]', '#menuitems #remove-action');
+});
Index: plugins/tags/js/ckeditor-tags-plugin.js
===================================================================
--- plugins/tags/js/ckeditor-tags-plugin.js	(revision 2939)
+++ plugins/tags/js/ckeditor-tags-plugin.js	(revision 3709)
@@ -1,25 +1,28 @@
+/*global $, dotclear, CKEDITOR */
+'use strict';
+
 (function() {
-	CKEDITOR.plugins.add('dctags', {
-		init: function(editor) {
-			editor.addCommand('dcTagsCommand', {
-				exec: function(editor) {
-					if (editor.getSelection().getNative().toString().replace(/\s*/,'')!='') {
-						var str = editor.getSelection().getNative().toString().replace(/\s*/,'');
-						var url = dotclear.msg.tag_url;
-						window.dc_tag_editor.addMeta(str);
-						var link = '<a href="'+$.stripBaseURL(url+'/'+str)+'">'+str+'</a>';
-						var element = CKEDITOR.dom.element.createFromHtml(link);
-						editor.insertElement(element);
-					}
-				}
-			});
+  CKEDITOR.plugins.add('dctags', {
+    init: function(editor) {
+      editor.addCommand('dcTagsCommand', {
+        exec: function(editor) {
+          if (editor.getSelection().getNative().toString().replace(/\s*/, '') != '') {
+            var str = editor.getSelection().getNative().toString().replace(/\s*/, '');
+            var url = dotclear.msg.tag_url;
+            window.dc_tag_editor.addMeta(str);
+            var link = '<a href="' + $.stripBaseURL(url + '/' + str) + '">' + str + '</a>';
+            var element = CKEDITOR.dom.element.createFromHtml(link);
+            editor.insertElement(element);
+          }
+        }
+      });
 
-			editor.ui.addButton('dcTags', {
-				label: dotclear.msg.tag_title,
-				command: 'dcTagsCommand',
-				toolbar: 'insert',
-				icon: this.path + 'tag.png'
-			});
-		}
-	});
+      editor.ui.addButton('dcTags', {
+        label: dotclear.msg.tag_title,
+        command: 'dcTagsCommand',
+        toolbar: 'insert',
+        icon: this.path + 'tag.png'
+      });
+    }
+  });
 })();
Index: plugins/tags/js/legacy-post.js
===================================================================
--- plugins/tags/js/legacy-post.js	(revision 2924)
+++ plugins/tags/js/legacy-post.js	(revision 3709)
@@ -1,62 +1,83 @@
+/*global dotclear, jsToolBar */
+'use strict';
+
 // Toolbar button for tags
 jsToolBar.prototype.elements.tagSpace = {
-	type: 'space',
-	format:{
-		wysiwyg:true,
-		wiki:true,
-		xhtml:true,
-		markdown:true
-	}
+  type: 'space',
+  format: {
+    wysiwyg:  true,
+    wiki:     true,
+    xhtml:    true,
+    markdown: true
+  }
 };
 
-jsToolBar.prototype.elements.tag = {type: 'button', title: 'Keyword', fn:{} };
+jsToolBar.prototype.elements.tag = {
+  type: 'button',
+  title: 'Keyword',
+  fn: {}
+};
 jsToolBar.prototype.elements.tag.context = 'post';
 jsToolBar.prototype.elements.tag.icon = 'index.php?pf=tags/img/tag-add.png';
 jsToolBar.prototype.elements.tag.fn.wiki = function() {
-	this.encloseSelection('','',function(str) {
-		if (str == '') { window.alert(dotclear.msg.no_selection); return ''; }
-		if (str.indexOf(',') != -1) {
-			return str;
-		} else {
-			window.dc_tag_editor.addMeta(str);
-			return '['+str+'|tag:'+str+']';
-		}
-	});
+  this.encloseSelection('', '', function(str) {
+    if (str == '') {
+      window.alert(dotclear.msg.no_selection);
+      return '';
+    }
+    if (str.indexOf(',') != -1) {
+      return str;
+    } else {
+      window.dc_tag_editor.addMeta(str);
+      return '[' + str + '|tag:' + str + ']';
+    }
+  });
 };
 jsToolBar.prototype.elements.tag.fn.markdown = function() {
-	var url = this.elements.tag.url;
-	this.encloseSelection('','',function(str) {
-		if (str == '') { window.alert(dotclear.msg.no_selection); return ''; }
-		if (str.indexOf(',') != -1) {
-			return str;
-		} else {
-			window.dc_tag_editor.addMeta(str);
-			return '['+str+']('+this.stripBaseURL(url+'/'+str)+')';
-		}
-	});
+  var url = this.elements.tag.url;
+  this.encloseSelection('', '', function(str) {
+    if (str == '') {
+      window.alert(dotclear.msg.no_selection);
+      return '';
+    }
+    if (str.indexOf(',') != -1) {
+      return str;
+    } else {
+      window.dc_tag_editor.addMeta(str);
+      return '[' + str + '](' + this.stripBaseURL(url + '/' + str) + ')';
+    }
+  });
 };
 jsToolBar.prototype.elements.tag.fn.xhtml = function() {
-	var url = this.elements.tag.url;
-	this.encloseSelection('','',function(str) {
-		if (str == '') { window.alert(dotclear.msg.no_selection); return ''; }
-		if (str.indexOf(',') != -1) {
-			return str;
-		} else {
-			window.dc_tag_editor.addMeta(str);
-			return '<a href="'+this.stripBaseURL(url+'/'+str)+'">'+str+'</a>';
-		}
-	});
+  var url = this.elements.tag.url;
+  this.encloseSelection('', '', function(str) {
+    if (str == '') {
+      window.alert(dotclear.msg.no_selection);
+      return '';
+    }
+    if (str.indexOf(',') != -1) {
+      return str;
+    } else {
+      window.dc_tag_editor.addMeta(str);
+      return '<a href="' + this.stripBaseURL(url + '/' + str) + '">' + str + '</a>';
+    }
+  });
 };
 jsToolBar.prototype.elements.tag.fn.wysiwyg = function() {
-	var t = this.getSelectedText();
+  var t = this.getSelectedText();
 
-	if (t == '') { window.alert(dotclear.msg.no_selection); return; }
-	if (t.indexOf(',') != -1) { return; }
+  if (t == '') {
+    window.alert(dotclear.msg.no_selection);
+    return;
+  }
+  if (t.indexOf(',') != -1) {
+    return;
+  }
 
-	var n = this.getSelectedNode();
-	var a = document.createElement('a');
-	a.href = this.stripBaseURL(this.elements.tag.url+'/'+t);
-	a.appendChild(n);
-	this.insertNode(a);
-	window.dc_tag_editor.addMeta(t);
+  var n = this.getSelectedNode();
+  var a = document.createElement('a');
+  a.href = this.stripBaseURL(this.elements.tag.url + '/' + t);
+  a.appendChild(n);
+  this.insertNode(a);
+  window.dc_tag_editor.addMeta(t);
 };
Index: plugins/tags/js/post.js
===================================================================
--- plugins/tags/js/post.js	(revision 2924)
+++ plugins/tags/js/post.js	(revision 3709)
@@ -1,67 +1,71 @@
+/*global $, dotclear, metaEditor, editor_tags_options */
+'use strict';
+
 $(function() {
-	$('#edit-entry').onetabload(function() {
-		var tags_edit = $('#tags-edit');
-		var post_id = $('#id');
-		var meta_field = null;
+  $('#edit-entry').onetabload(function() {
+    var tags_edit = $('#tags-edit');
+    var post_id = $('#id');
+    var meta_field = null;
+    var mEdit = null;
 
-		if (tags_edit.length > 0) {
-			post_id = (post_id.length > 0) ? post_id.get(0).value : false;
-			if (post_id == false) {
-				meta_field = $('<input type="hidden" name="post_tags" />');
-				meta_field.val($('#post_tags').val());
-			}
-			var mEdit = new metaEditor(tags_edit,meta_field,'tag',editor_tags_options);
-			mEdit.meta_url = 'plugin.php?p=tags&m=tag_posts&amp;tag=';
-			mEdit.displayMeta('tag',post_id);
+    if (tags_edit.length > 0) {
+      post_id = (post_id.length > 0) ? post_id.get(0).value : false;
+      if (post_id == false) {
+        meta_field = $('<input type="hidden" name="post_tags" />');
+        meta_field.val($('#post_tags').val());
+      }
+      mEdit = new metaEditor(tags_edit, meta_field, 'tag', editor_tags_options);
+      mEdit.meta_url = 'plugin.php?p=tags&m=tag_posts&amp;tag=';
+      mEdit.displayMeta('tag', post_id);
 
-			// mEdit object reference for toolBar
-			window.dc_tag_editor = mEdit;
-		}
+      // mEdit object reference for toolBar
+      window.dc_tag_editor = mEdit;
+    }
 
-		$('#post_meta_input').autocomplete(mEdit.service_uri, {
-			extraParams: {
-				'f': 'searchMeta',
-				'metaType': 'tag'
-			},
-			delay: 1000,
-			multiple: true,
-			multipleSeparator: ", ",
-			matchSubset: false,
-			matchContains: true,
-			parse: function(xml) {
-				var results = [];
-				$(xml).find('meta').each(function(){
-					results[results.length] = {
-						data: {
-							"id": $(this).text(),
-							"count": $(this).attr("count"),
-							"percent":  $(this).attr("roundpercent")
-						},
-						result: $(this).text()
-					};
-				});
-				return results;
-			},
-			formatItem: function(tag) {
-				return tag.id + ' <em>(' +
-				dotclear.msg.tags_autocomplete.
-					replace('%p',tag.percent).
-					replace('%e',tag.count + ' ' +
-						(tag.count > 1 ?
-						dotclear.msg.entries :
-						dotclear.msg.entry)
-					) +
-				')</em>';
-			},
-			formatResult: function(tag) {
-				return tag.result;
-			}
-		});
-	});
+    $('#post_meta_input').autocomplete(mEdit.service_uri, {
+      extraParams: {
+        'f': 'searchMeta',
+        'metaType': 'tag'
+      },
+      delay: 1000,
+      multiple: true,
+      multipleSeparator: ', ',
+      matchSubset: false,
+      matchContains: true,
+      parse: function(xml) {
+        var results = [];
+        $(xml).find('meta').each(function() {
+          results[results.length] = {
+            data: {
+              'id': $(this).text(),
+              'count': $(this).attr('count'),
+              'percent': $(this).attr('roundpercent')
+            },
+            result: $(this).text()
+          };
+        });
+        return results;
+      },
+      formatItem: function(tag) {
+        return tag.id + ' <em>(' +
+          dotclear.msg.tags_autocomplete.
+        replace('%p', tag.percent).
+        replace('%e', tag.count + ' ' +
+            (tag.count > 1 ?
+              dotclear.msg.entries :
+              dotclear.msg.entry)
+          ) +
+          ')</em>';
+      },
+      formatResult: function(tag) {
+        return tag.result;
+      }
+    });
+  });
 
-	$('h5 .s-tags').toggleWithLegend($('.s-tags').not('label'),{
-		user_pref: 'post_tags',
-		legend_click: true
-	});
+  $('h5 .s-tags').toggleWithLegend($('.s-tags').not('label'), {
+    user_pref: 'post_tags',
+    legend_click: true
+  });
 
 });
Index: plugins/tags/js/posts_actions.js
===================================================================
--- plugins/tags/js/posts_actions.js	(revision 2546)
+++ plugins/tags/js/posts_actions.js	(revision 3709)
@@ -1,2 +1,5 @@
+/*global $, dotclear, metaEditor, editor_tags_options */
+'use strict';
+
 $(function() {
 	var tag_field = $('#new_tags');
@@ -22,5 +25,5 @@
 	$('#post_meta_input').autocomplete(mEdit.service_uri, {
 		extraParams: {
-			'f': 'searchMeta',
+			'f':        'searchMeta',
 			'metaType': 'tag'
 		},
@@ -34,7 +37,7 @@
 				results[results.length] = {
 					data: {
-						"id": $(this).text(),
-						"count": $(this).attr("count"),
-						"percent":  $(this).attr("roundpercent")
+						'id':      $(this).text(),
+						'count':   $(this).attr('count'),
+						'percent': $(this).attr('roundpercent')
 					},
 					result: $(this).text()
Index: plugins/themeEditor/index.php
===================================================================
--- plugins/themeEditor/index.php	(revision 3421)
+++ plugins/themeEditor/index.php	(revision 3709)
@@ -10,18 +10,18 @@
 #
 # -- END LICENSE BLOCK -----------------------------------------
-if (!defined('DC_CONTEXT_ADMIN')) { return; }
+if (!defined('DC_CONTEXT_ADMIN')) {return;}
 
-require dirname(__FILE__).'/class.themeEditor.php';
+require dirname(__FILE__) . '/class.themeEditor.php';
 
-$file_default = $file = array('c'=>null, 'w'=>false, 'type'=>null, 'f'=>null, 'default_file'=>false);
+$file_default = $file = array('c' => null, 'w' => false, 'type' => null, 'f' => null, 'default_file' => false);
 
 # Get interface setting
 $core->auth->user_prefs->addWorkspace('interface');
-$user_ui_colorsyntax = $core->auth->user_prefs->interface->colorsyntax;
+$user_ui_colorsyntax       = $core->auth->user_prefs->interface->colorsyntax;
 $user_ui_colorsyntax_theme = $core->auth->user_prefs->interface->colorsyntax_theme;
 
 # Loading themes
 $core->themes = new dcThemes($core);
-$core->themes->loadModules($core->blog->themes_path,null);
+$core->themes->loadModules($core->blog->themes_path, null);
 $T = $core->themes->getModules($core->blog->settings->system->theme);
 $o = new dcThemeEditor($core);
@@ -29,40 +29,34 @@
 try
 {
-	try
-	{
-		if (!empty($_REQUEST['tpl'])) {
-			$file = $o->getFileContent('tpl',$_REQUEST['tpl']);
-		} elseif (!empty($_REQUEST['css'])) {
-			$file = $o->getFileContent('css',$_REQUEST['css']);
-		} elseif (!empty($_REQUEST['js'])) {
-			$file = $o->getFileContent('js',$_REQUEST['js']);
-		} elseif (!empty($_REQUEST['po'])) {
-			$file = $o->getFileContent('po',$_REQUEST['po']);
-		}
-	}
-	catch (Exception $e)
-	{
-		$file = $file_default;
-		throw $e;
-	}
+    try
+    {
+        if (!empty($_REQUEST['tpl'])) {
+            $file = $o->getFileContent('tpl', $_REQUEST['tpl']);
+        } elseif (!empty($_REQUEST['css'])) {
+            $file = $o->getFileContent('css', $_REQUEST['css']);
+        } elseif (!empty($_REQUEST['js'])) {
+            $file = $o->getFileContent('js', $_REQUEST['js']);
+        } elseif (!empty($_REQUEST['po'])) {
+            $file = $o->getFileContent('po', $_REQUEST['po']);
+        }
+    } catch (Exception $e) {
+        $file = $file_default;
+        throw $e;
+    }
 
-	# Write file
-	if (!empty($_POST['write']))
-	{
-		$file['c'] = $_POST['file_content'];
-		$o->writeFile($file['type'],$file['f'],$file['c']);
-	}
+    # Write file
+    if (!empty($_POST['write'])) {
+        $file['c'] = $_POST['file_content'];
+        $o->writeFile($file['type'], $file['f'], $file['c']);
+    }
 
-	# Delete file
-	if (!empty($_POST['delete']))
-	{
-		$o->deleteFile($file['type'],$file['f']);
-		dcPage::addSuccessNotice(__('The file has been reset.'));
-		http::redirect($p_url.'&'.$file['type'].'='.$file['f']);
-	}
-}
-catch (Exception $e)
-{
-	$core->error->add($e->getMessage());
+    # Delete file
+    if (!empty($_POST['delete'])) {
+        $o->deleteFile($file['type'], $file['f']);
+        dcPage::addSuccessNotice(__('The file has been reset.'));
+        http::redirect($p_url . '&' . $file['type'] . '=' . $file['f']);
+    }
+} catch (Exception $e) {
+    $core->error->add($e->getMessage());
 }
 ?>
@@ -70,18 +64,20 @@
 <html>
 <head>
-	<title><?php echo __('Edit theme files'); ?></title>
-	<script type="text/javascript">
-		<?php echo dcPage::jsVar('dotclear.msg.saving_document',__("Saving document...")); ?>
-		<?php echo dcPage::jsVar('dotclear.msg.document_saved',__("Document saved")); ?>
-		<?php echo dcPage::jsVar('dotclear.msg.error_occurred',__("An error occurred:")); ?>
-		<?php echo dcPage::jsVar('dotclear.msg.confirm_reset_file',__("Are you sure you want to reset this file?")); ?>
-		<?php echo dcPage::jsVar('dotclear.colorsyntax',$user_ui_colorsyntax); ?>
-	</script>
-	<?php echo dcPage::jsConfirmClose('file-form'); ?>
-	<script type="text/javascript" src="<?php echo dcPage::getPF('themeEditor/script.js'); ?>"></script>
-	<?php if ($user_ui_colorsyntax) { ?>
-	<?php echo dcPage::jsLoadCodeMirror($user_ui_colorsyntax_theme); ?>
-	<?php } ?>
-	<?php echo dcPage::cssLoad(dcPage::getPF('themeEditor/style.css'));?>
+    <title><?php echo __('Edit theme files'); ?></title>
+    <?php
+echo dcPage::jsVars(array(
+    'dotclear.msg.saving_document'    => __("Saving document..."),
+    'dotclear.msg.document_saved'     => __("Document saved"),
+    'dotclear.msg.error_occurred'     => __("An error occurred:"),
+    'dotclear.msg.confirm_reset_file' => __("Are you sure you want to reset this file?"),
+    'dotclear.colorsyntax'            => $user_ui_colorsyntax
+)) .
+dcPage::jsConfirmClose('file-form') .
+dcPage::jsLoad(dcPage::getPF('themeEditor/js/script.js'));
+if ($user_ui_colorsyntax) {
+    echo dcPage::jsLoadCodeMirror($user_ui_colorsyntax_theme);
+}
+echo dcPage::cssLoad(dcPage::getPF('themeEditor/style.css'));
+?>
 </head>
 
@@ -89,75 +85,69 @@
 <?php
 echo dcPage::breadcrumb(
-	array(
-		html::escapeHTML($core->blog->name) => '',
-		__('Blog appearance') => $core->adminurl->get('admin.blog.theme'),
-		__('Edit theme files') => ''
-	)).
-	dcPage::notices();
+    array(
+        html::escapeHTML($core->blog->name) => '',
+        __('Blog appearance')               => $core->adminurl->get('admin.blog.theme'),
+        __('Edit theme files')              => ''
+    )) .
+dcPage::notices();
 ?>
 
-<p><strong><?php echo sprintf(__('Your current theme on this blog is "%s".'),html::escapeHTML($T['name'])); ?></strong></p>
+<p><strong><?php echo sprintf(__('Your current theme on this blog is "%s".'), html::escapeHTML($T['name'])); ?></strong></p>
 
-<?php if ($core->blog->settings->system->theme == 'default') { ?>
-	<div class="error"><p><?php echo __("You can't edit default theme."); ?></p></div>
-	</body></html>
-<?php } ?>
+<?php if ($core->blog->settings->system->theme == 'default') {?>
+    <div class="error"><p><?php echo __("You can't edit default theme."); ?></p></div>
+    </body></html>
+<?php }?>
 
 <div id="file-box">
 <div id="file-editor">
 <?php
-if ($file['c'] === null)
-{
-	echo '<p>'.__('Please select a file to edit.').'</p>';
-}
-else
-{
-	echo
-	'<form id="file-form" action="'.$p_url.'" method="post">'.
-	'<div class="fieldset"><h3>'.__('File editor').'</h3>'.
-	'<p><label for="file_content">'.sprintf(__('Editing file %s'),'<strong>'.$file['f']).'</strong></label></p>'.
-	'<p>'.form::textarea('file_content',72,25,html::escapeHTML($file['c']),'maximal','',!$file['w']).'</p>';
+if ($file['c'] === null) {
+    echo '<p>' . __('Please select a file to edit.') . '</p>';
+} else {
+    echo
+    '<form id="file-form" action="' . $p_url . '" method="post">' .
+    '<div class="fieldset"><h3>' . __('File editor') . '</h3>' .
+    '<p><label for="file_content">' . sprintf(__('Editing file %s'), '<strong>' . $file['f']) . '</strong></label></p>' .
+    '<p>' . form::textarea('file_content', 72, 25, html::escapeHTML($file['c']), 'maximal', '', !$file['w']) . '</p>';
 
-	if ($file['w'])
-	{
-		echo
-		'<p><input type="submit" name="write" value="'.__('Save').' (s)" accesskey="s" /> '.
-		($o->deletableFile($file['type'],$file['f']) ? '<input type="submit" name="delete" class="delete" value="'.__('Reset').'" />' : '').
-		$core->formNonce().
-		($file['type'] ? form::hidden(array($file['type']),$file['f']) : '').
-		'</p>';
-	}
-	else
-	{
-		echo '<p>'.__('This file is not writable. Please check your theme files permissions.').'</p>';
-	}
+    if ($file['w']) {
+        echo
+        '<p><input type="submit" name="write" value="' . __('Save') . ' (s)" accesskey="s" /> ' .
+        ($o->deletableFile($file['type'], $file['f']) ? '<input type="submit" name="delete" class="delete" value="' . __('Reset') . '" />' : '') .
+        $core->formNonce() .
+            ($file['type'] ? form::hidden(array($file['type']), $file['f']) : '') .
+            '</p>';
+    } else {
+        echo '<p>' . __('This file is not writable. Please check your theme files permissions.') . '</p>';
+    }
 
-	echo
-	'</div></form>';
+    echo
+        '</div></form>';
 
-	if ($user_ui_colorsyntax) {
-		$editorMode =
-			(!empty($_REQUEST['css']) ? "css" :
-			(!empty($_REQUEST['js']) ? "javascript" :
-			(!empty($_REQUEST['po']) ? "text/plain" : "text/html")));
-		echo
-		'<script type="text/javascript">
-			window.CodeMirror.defineMode("dotclear", function(config) {
-				return CodeMirror.multiplexingMode(
-					CodeMirror.getMode(config, "'.$editorMode.'"),
-					{open: "{{tpl:", close: "}}",
-					 mode: CodeMirror.getMode(config, "text/plain"),
-					 delimStyle: "delimit"},
-					{open: "<tpl:", close: ">",
-					 mode: CodeMirror.getMode(config, "text/plain"),
-					 delimStyle: "delimit"},
-					{open: "</tpl:", close: ">",
-					 mode: CodeMirror.getMode(config, "text/plain"),
-					 delimStyle: "delimit"}
-					);
-			});
-	    </script>';
-	    echo dcPage::jsRunCodeMirror('editor','file_content','dotclear',$user_ui_colorsyntax_theme);
-	}
+    if ($user_ui_colorsyntax) {
+        $editorMode =
+            (!empty($_REQUEST['css']) ? "css" :
+            (!empty($_REQUEST['js']) ? "javascript" :
+                (!empty($_REQUEST['po']) ? "text/plain" : "text/html")));
+        echo
+            '<script type="text/javascript">
+            window.CodeMirror.defineMode("dotclear", function(config) {
+                return CodeMirror.multiplexingMode(
+                    CodeMirror.getMode(config, "' . $editorMode . '"),
+                    {open: "{{tpl:", close: "}}",
+                     mode: CodeMirror.getMode(config, "text/plain"),
+                     delimStyle: "delimit"},
+                    {open: "<tpl:", close: ">",
+                     mode: CodeMirror.getMode(config, "text/plain"),
+                     delimStyle: "delimit"},
+                    {open: "</tpl:", close: ">",
+                     mode: CodeMirror.getMode(config, "text/plain"),
+                     delimStyle: "delimit"}
+                    );
+            });
+        </script>';
+        echo dcPage::jsRunCodeMirror('editor', 'file_content', 'dotclear', $user_ui_colorsyntax_theme);
+    }
 }
 ?>
@@ -167,17 +157,17 @@
 <div id="file-chooser">
 <h3><?php echo __('Templates files'); ?></h3>
-<?php echo $o->filesList('tpl','<a href="'.$p_url.'&amp;tpl=%2$s" class="tpl-link">%1$s</a>'); ?>
+<?php echo $o->filesList('tpl', '<a href="' . $p_url . '&amp;tpl=%2$s" class="tpl-link">%1$s</a>'); ?>
 
 <h3><?php echo __('CSS files'); ?></h3>
-<?php echo $o->filesList('css','<a href="'.$p_url.'&amp;css=%2$s" class="css-link">%1$s</a>'); ?>
+<?php echo $o->filesList('css', '<a href="' . $p_url . '&amp;css=%2$s" class="css-link">%1$s</a>'); ?>
 
 <h3><?php echo __('JavaScript files'); ?></h3>
-<?php echo $o->filesList('js','<a href="'.$p_url.'&amp;js=%2$s" class="js-link">%1$s</a>'); ?>
+<?php echo $o->filesList('js', '<a href="' . $p_url . '&amp;js=%2$s" class="js-link">%1$s</a>'); ?>
 
 <h3><?php echo __('Locales files'); ?></h3>
-<?php echo $o->filesList('po','<a href="'.$p_url.'&amp;po=%2$s" class="po-link">%1$s</a>'); ?>
+<?php echo $o->filesList('po', '<a href="' . $p_url . '&amp;po=%2$s" class="po-link">%1$s</a>'); ?>
 </div>
 
-<?php dcPage::helpBlock('themeEditor'); ?>
+<?php dcPage::helpBlock('themeEditor');?>
 </body>
 </html>
